diff -urN linux-2.6.0-test1/arch/mips/kernel/branch.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/branch.c
--- linux-2.6.0-test1/arch/mips/kernel/branch.c	2003-07-13 23:34:30.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/branch.c	2003-07-17 17:32:38.000000000 -0400
@@ -195,7 +195,7 @@
 	return 0;
 
 unaligned:
-	printk("%s: unaligned epc - sending SIGBUS.\n", current->comm);
+	printk(KERN_ERR "%s: unaligned epc - sending SIGBUS.\n", current->comm);
 	force_sig(SIGBUS, current);
 	return -EFAULT;
 }
diff -urN linux-2.6.0-test1/arch/mips/kernel/cpu-probe.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/cpu-probe.c
--- linux-2.6.0-test1/arch/mips/kernel/cpu-probe.c	2003-07-13 23:32:40.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/cpu-probe.c	2003-07-17 16:54:33.000000000 -0400
@@ -55,16 +55,16 @@
 {
 	struct cpuinfo_mips *c = &current_cpu_data;
 
-	printk("Checking for 'wait' instruction... ");
+	printk(KERN_NOTICE "Checking for 'wait' instruction... ");
 	switch (c->cputype) {
 	case CPU_R3081:
 	case CPU_R3081E:
 		cpu_wait = r3081_wait;
-		printk(" available.\n");
+		printk(KERN_NOTICE " available.\n");
 		break;
 	case CPU_TX3927:
 		cpu_wait = r39xx_wait;
-		printk(" available.\n");
+		printk(KERN_NOTICE " available.\n");
 		break;
 	case CPU_R4200:
 /*	case CPU_R4300: */
@@ -82,16 +82,16 @@
 	case CPU_5KC:
 /*	case CPU_20KC:*/
 		cpu_wait = r4k_wait;
-		printk(" available.\n");
+		printk(KERN_NOTICE " available.\n");
 		break;
 	case CPU_AU1000:
 	case CPU_AU1100:
 	case CPU_AU1500:
 		cpu_wait = au1k_wait;
-		printk(" available.\n");
+		printk(KERN_NOTICE " available.\n");
 		break;
 	default:
-		printk(" unavailable.\n");
+		printk(KERN_NOTICE " unavailable.\n");
 		break;
 	}
 }
@@ -503,7 +503,7 @@
 {
 	struct cpuinfo_mips *c = &current_cpu_data;
 
-	printk("CPU revision is: %08x\n", c->processor_id);
+	printk(KERN_INFO "CPU revision is: %08x\n", c->processor_id);
 	if (c->options & MIPS_CPU_FPU)
-		printk("FPU revision is: %08x\n", c->fpu_id);
+		printk(KERN_INFO "FPU revision is: %08x\n", c->fpu_id);
 }
diff -urN linux-2.6.0-test1/arch/mips/kernel/gdb-stub.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/gdb-stub.c
--- linux-2.6.0-test1/arch/mips/kernel/gdb-stub.c	2003-07-13 23:38:52.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/gdb-stub.c	2003-07-17 17:54:34.000000000 -0400
@@ -444,23 +444,23 @@
 	/*
 	 * Saved main processor registers
 	 */
-	printk("$0 : %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
+	printk(KERN_DEBUG "$0 : %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
 	       regs->reg0, regs->reg1, regs->reg2, regs->reg3,
                regs->reg4, regs->reg5, regs->reg6, regs->reg7);
-	printk("$8 : %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
+	printk(KERN_DEBUG "$8 : %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
 	       regs->reg8, regs->reg9, regs->reg10, regs->reg11,
                regs->reg12, regs->reg13, regs->reg14, regs->reg15);
-	printk("$16: %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
+	printk(KERN_DEBUG "$16: %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
 	       regs->reg16, regs->reg17, regs->reg18, regs->reg19,
                regs->reg20, regs->reg21, regs->reg22, regs->reg23);
-	printk("$24: %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
+	printk(KERN_DEBUG "$24: %08lx %08lx %08lx %08lx %08lx %08lx %08lx %08lx\n",
 	       regs->reg24, regs->reg25, regs->reg26, regs->reg27,
 	       regs->reg28, regs->reg29, regs->reg30, regs->reg31);
 
 	/*
 	 * Saved cp0 registers
 	 */
-	printk("epc  : %08lx\nStatus: %08lx\nCause : %08lx\n",
+	printk(KERN_DEBUG "epc  : %08lx\nStatus: %08lx\nCause : %08lx\n",
 	       regs->cp0_epc, regs->cp0_status, regs->cp0_cause);
 }
 #endif /* dead code */
diff -urN linux-2.6.0-test1/arch/mips/kernel/i8259.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/i8259.c
--- linux-2.6.0-test1/arch/mips/kernel/i8259.c	2003-07-13 23:30:48.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/i8259.c	2003-07-17 16:51:00.000000000 -0400
@@ -209,7 +209,7 @@
 		 * lets ACK and report it. [once per IRQ]
 		 */
 		if (!(spurious_irq_mask & irqmask)) {
-			printk("spurious 8259A interrupt: IRQ%d.\n", irq);
+			printk(KERN_NOTICE "spurious 8259A interrupt: IRQ%d.\n", irq);
 			spurious_irq_mask |= irqmask;
 		}
 		atomic_inc(&irq_err_count);
diff -urN linux-2.6.0-test1/arch/mips/kernel/irixelf.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/irixelf.c
--- linux-2.6.0-test1/arch/mips/kernel/irixelf.c	2003-07-13 23:39:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/irixelf.c	2003-07-17 18:00:42.000000000 -0400
@@ -79,31 +79,31 @@
 {
 	int i;
 
-	printk("ELFHDR: e_ident<");
-	for(i = 0; i < (EI_NIDENT - 1); i++) printk("%x ", ehp->e_ident[i]);
-	printk("%x>\n", ehp->e_ident[i]);
-	printk("        e_type[%04x] e_machine[%04x] e_version[%08lx]\n",
+	printk(KERN_DEBUG "ELFHDR: e_ident<");
+	for(i = 0; i < (EI_NIDENT - 1); i++) printk(KERN_DEBUG "%x ", ehp->e_ident[i]);
+	printk(KERN_DEBUG "%x>\n", ehp->e_ident[i]);
+	printk(KERN_DEBUG "        e_type[%04x] e_machine[%04x] e_version[%08lx]\n",
 	       (unsigned short) ehp->e_type, (unsigned short) ehp->e_machine,
 	       (unsigned long) ehp->e_version);
-	printk("        e_entry[%08lx] e_phoff[%08lx] e_shoff[%08lx] "
+	printk(KERN_DEBUG "        e_entry[%08lx] e_phoff[%08lx] e_shoff[%08lx] "
 	       "e_flags[%08lx]\n",
 	       (unsigned long) ehp->e_entry, (unsigned long) ehp->e_phoff,
 	       (unsigned long) ehp->e_shoff, (unsigned long) ehp->e_flags);
-	printk("        e_ehsize[%04x] e_phentsize[%04x] e_phnum[%04x]\n",
+	printk(KERN_DEBUG "        e_ehsize[%04x] e_phentsize[%04x] e_phnum[%04x]\n",
 	       (unsigned short) ehp->e_ehsize, (unsigned short) ehp->e_phentsize,
 	       (unsigned short) ehp->e_phnum);
-	printk("        e_shentsize[%04x] e_shnum[%04x] e_shstrndx[%04x]\n",
+	printk(KERN_DEBUG "        e_shentsize[%04x] e_shnum[%04x] e_shstrndx[%04x]\n",
 	       (unsigned short) ehp->e_shentsize, (unsigned short) ehp->e_shnum,
 	       (unsigned short) ehp->e_shstrndx);
 }
 
 static void print_phdr(int i, struct elf_phdr *ep)
 {
-	printk("PHDR[%d]: p_type[%s] p_offset[%08lx] p_vaddr[%08lx] "
+	printk(KERN_DEBUG "PHDR[%d]: p_type[%s] p_offset[%08lx] p_vaddr[%08lx] "
 	       "p_paddr[%08lx]\n", i, get_elf_p_type(ep->p_type),
 	       (unsigned long) ep->p_offset, (unsigned long) ep->p_vaddr,
 	       (unsigned long) ep->p_paddr);
-	printk("         p_filesz[%08lx] p_memsz[%08lx] p_flags[%08lx] "
+	printk(KERN_DEBUG "         p_filesz[%08lx] p_memsz[%08lx] p_flags[%08lx] "
 	       "p_align[%08lx]\n", (unsigned long) ep->p_filesz,
 	       (unsigned long) ep->p_memsz, (unsigned long) ep->p_flags,
 	       (unsigned long) ep->p_align);
@@ -158,7 +158,7 @@
 	elf_addr_t *sp, *csp;
 
 #ifdef DEBUG_ELF
-	printk("create_irix_tables: p[%p] argc[%d] envc[%d] "
+	printk(KERN_DEBUG "create_irix_tables: p[%p] argc[%d] envc[%d] "
 	       "load_addr[%08x] interp_load_addr[%08x]\n",
 	       p, argc, envc, load_addr, interp_load_addr);
 #endif
@@ -255,13 +255,13 @@
 	     interp_elf_ex->e_type != ET_DYN) ||
 	     !irix_elf_check_arch(interp_elf_ex) ||
 	     !interpreter->f_op->mmap) {
-		printk("IRIX interp has bad e_type %d\n", interp_elf_ex->e_type);
+		printk(KERN_ERR "IRIX interp has bad e_type %d\n", interp_elf_ex->e_type);
 		return 0xffffffff;
 	}
 
 	/* Now read in all of the header information */
 	if(sizeof(struct elf_phdr) * interp_elf_ex->e_phnum > PAGE_SIZE) {
-	    printk("IRIX interp header bigger than a page (%d)\n",
+	    printk(KERN_ERR "IRIX interp header bigger than a page (%d)\n",
 		   (sizeof(struct elf_phdr) * interp_elf_ex->e_phnum));
 	    return 0xffffffff;
 	}
@@ -271,7 +271,7 @@
 			GFP_KERNEL);
 
 	if(!elf_phdata) {
-          printk("Cannot kmalloc phdata for IRIX interp.\n");
+          printk(KERN_ERR "Cannot kmalloc phdata for IRIX interp.\n");
 	  return 0xffffffff;
 	}
 
@@ -279,7 +279,7 @@
 	 * we will be doing the wrong thing.
 	 */
 	if(interp_elf_ex->e_phentsize != 32) {
-		printk("IRIX interp e_phentsize == %d != 32 ",
+		printk(KERN_ERR "IRIX interp e_phentsize == %d != 32 ",
 		       interp_elf_ex->e_phentsize);
 		kfree(elf_phdata);
 		return 0xffffffff;
@@ -306,7 +306,7 @@
 	    vaddr = eppnt->p_vaddr;
 
 #ifdef DEBUG_ELF
-	    printk("INTERP do_mmap(%p, %08lx, %08lx, %08lx, %08lx, %08lx) ",
+	    printk(KERN_DEBUG "INTERP do_mmap(%p, %08lx, %08lx, %08lx, %08lx, %08lx) ",
 		   interpreter, vaddr,
 		   (unsigned long) (eppnt->p_filesz + (eppnt->p_vaddr & 0xfff)),
 		   (unsigned long) elf_prot, (unsigned long) elf_type,
@@ -320,16 +320,16 @@
 	    up_write(&current->mm->mmap_sem);
 
 	    if(error < 0 && error > -1024) {
-		    printk("Aieee IRIX interp mmap error=%d\n", error);
+		    printk(KERN_ERR "Aieee IRIX interp mmap error=%d\n", error);
 		    break;  /* Real error */
 	    }
 #ifdef DEBUG_ELF
-	    printk("error=%08lx ", (unsigned long) error);
+	    printk(KERN_DEBUG "error=%08lx ", (unsigned long) error);
 #endif
 	    if(!load_addr && interp_elf_ex->e_type == ET_DYN) {
 	      load_addr = error;
 #ifdef DEBUG_ELF
-              printk("load_addr = error ");
+              printk(KERN_DEBUG "load_addr = error ");
 #endif
 	    }
 
@@ -345,7 +345,7 @@
 	    k = eppnt->p_memsz + eppnt->p_vaddr;
 	    if(k > last_bss) last_bss = k;
 #ifdef DEBUG_ELF
-	    printk("\n");
+	    printk(KERN_DEBUG "\n");
 #endif
 	  }
 	}
@@ -353,7 +353,7 @@
 	/* Now use mmap to map the library into memory. */
 	if(error < 0 && error > -1024) {
 #ifdef DEBUG_ELF
-		printk("got error %d\n", error);
+		printk(KERN_DEBUG "got error %d\n", error);
 #endif
 		kfree(elf_phdata);
 		return 0xffffffff;
@@ -365,13 +365,13 @@
 	 * last bss page.
 	 */
 #ifdef DEBUG_ELF
-	printk("padzero(%08lx) ", (unsigned long) (elf_bss));
+	printk(KERN_DEBUG "padzero(%08lx) ", (unsigned long) (elf_bss));
 #endif
 	padzero(elf_bss);
 	len = (elf_bss + 0xfff) & 0xfffff000; /* What we have mapped so far */
 
 #ifdef DEBUG_ELF
-	printk("last_bss[%08lx] len[%08lx]\n", (unsigned long) last_bss,
+	printk(KERN_DEBUG "last_bss[%08lx] len[%08lx]\n", (unsigned long) last_bss,
 	       (unsigned long) len);
 #endif
 
@@ -640,7 +640,7 @@
 		};
 	}
 #ifdef DEBUG_ELF
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 #endif
 
 	elf_bss = 0;
@@ -708,7 +708,7 @@
 		kfree(elf_interpreter);
 		if(retval) {
 			set_fs(old_fs);
-			printk("Unable to load IRIX ELF interpreter\n");
+			printk(KERN_ERR "Unable to load IRIX ELF interpreter\n");
 			send_sig(SIGSEGV, current, 0);
 			retval = 0;
 			goto out_free_file;
@@ -746,12 +746,12 @@
 	padzero(elf_bss);
 
 #ifdef DEBUG_ELF
-	printk("(start_brk) %lx\n" , (long) current->mm->start_brk);
-	printk("(end_code) %lx\n" , (long) current->mm->end_code);
-	printk("(start_code) %lx\n" , (long) current->mm->start_code);
-	printk("(end_data) %lx\n" , (long) current->mm->end_data);
-	printk("(start_stack) %lx\n" , (long) current->mm->start_stack);
-	printk("(brk) %lx\n" , (long) current->mm->brk);
+	printk(KERN_DEBUG "(start_brk) %lx\n" , (long) current->mm->start_brk);
+	printk(KERN_DEBUG "(end_code) %lx\n" , (long) current->mm->end_code);
+	printk(KERN_DEBUG "(start_code) %lx\n" , (long) current->mm->start_code);
+	printk(KERN_DEBUG "(end_data) %lx\n" , (long) current->mm->end_data);
+	printk(KERN_DEBUG "(start_stack) %lx\n" , (long) current->mm->start_stack);
+	printk(KERN_DEBUG "(brk) %lx\n" , (long) current->mm->brk);
 #endif
 
 #if 0 /* XXX No fucking way dude... */
@@ -874,7 +874,7 @@
 	int i, retval;
 
 #ifdef DEBUG_ELF
-	printk("irix_mapelf: fd[%d] user_phdrp[%p] cnt[%d]\n",
+	printk(KERN_DEBUG "irix_mapelf: fd[%d] user_phdrp[%p] cnt[%d]\n",
 	       fd, user_phdrp, cnt);
 #endif
 
@@ -883,7 +883,7 @@
 	retval = verify_area(VERIFY_READ, hp, (sizeof(struct elf_phdr) * cnt));
 	if(retval) {
 #ifdef DEBUG_ELF
-		printk("irix_mapelf: verify_area fails!\n");
+		printk(KERN_DEBUG "irix_mapelf: verify_area fails!\n");
 #endif
 		return retval;
 	}
@@ -894,7 +894,7 @@
 
 	for(i = 0; i < cnt; i++, hp++)
 		if(hp->p_type != PT_LOAD) {
-			printk("irix_mapelf: One section is not PT_LOAD!\n");
+			printk(KERN_ERR "irix_mapelf: One section is not PT_LOAD!\n");
 			return -ENOEXEC;
 		}
 
@@ -902,7 +902,7 @@
 	if (!filp)
 		return -EACCES;
 	if(!filp->f_op) {
-		printk("irix_mapelf: Bogon filp!\n");
+		printk(KERN_ERR "irix_mapelf: Bogon filp!\n");
 		fput(filp);
 		return -EACCES;
 	}
@@ -922,14 +922,14 @@
 		up_write(&current->mm->mmap_sem);
 
 		if(retval != (hp->p_vaddr & 0xfffff000)) {
-			printk("irix_mapelf: do_mmap fails with %d!\n", retval);
+			printk(KERN_ERR "irix_mapelf: do_mmap fails with %d!\n", retval);
 			fput(filp);
 			return retval;
 		}
 	}
 
 #ifdef DEBUG_ELF
-	printk("irix_mapelf: Success, returning %08lx\n", user_phdrp->p_vaddr);
+	printk(KERN_DEBUG "irix_mapelf: Success, returning %08lx\n", user_phdrp->p_vaddr);
 #endif
 	fput(filp);
 	return user_phdrp->p_vaddr;
@@ -1080,7 +1080,7 @@
 		segs++;
 	}
 #ifdef DEBUG
-	printk("irix_core_dump: %d segs taking %d bytes\n", segs, size);
+	printk(KERN_DEBUG "irix_core_dump: %d segs taking %d bytes\n", segs, size);
 #endif
 
 	/* Set up header. */
@@ -1140,7 +1140,7 @@
 	prstatus.pr_cstime.tv_sec = CT_TO_SECS(current->cstime);
 	prstatus.pr_cstime.tv_usec = CT_TO_USECS(current->cstime);
 	if (sizeof(elf_gregset_t) != sizeof(struct pt_regs)) {
-		printk("sizeof(elf_gregset_t) (%d) != sizeof(struct pt_regs) "
+		printk(KERN_EMERG "sizeof(elf_gregset_t) (%d) != sizeof(struct pt_regs) "
 		       "(%d)\n", sizeof(elf_gregset_t), sizeof(struct pt_regs));
 	} else {
 		*(struct pt_regs *)&prstatus.pr_reg = *regs;
@@ -1259,14 +1259,14 @@
 			continue;
 		i++;
 #ifdef DEBUG
-		printk("elf_core_dump: writing %08lx %lx\n", addr, len);
+		printk(KERN_DEBUG "elf_core_dump: writing %08lx %lx\n", addr, len);
 #endif
 		DUMP_WRITE((void *)addr, len);
 	}
 
 	if ((off_t) file->f_pos != offset) {
 		/* Sanity check. */
-		printk("elf_core_dump: file->f_pos (%ld) != offset (%ld)\n",
+		printk(KERN_DEBUG "elf_core_dump: file->f_pos (%ld) != offset (%ld)\n",
 		       (off_t) file->f_pos, offset);
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/kernel/irixioctl.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/irixioctl.c
--- linux-2.6.0-test1/arch/mips/kernel/irixioctl.c	2003-07-13 23:36:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/irixioctl.c	2003-07-17 17:34:15.000000000 -0400
@@ -63,12 +63,12 @@
 	int error = 0;
 
 #ifdef DEBUG_IOCTLS
-	printk("[%s:%d] irix_ioctl(%d, ", current->comm, current->pid, fd);
+	printk(KERN_DEBUG "[%s:%d] irix_ioctl(%d, ", current->comm, current->pid, fd);
 #endif
 	switch(cmd) {
 	case 0x00005401:
 #ifdef DEBUG_IOCTLS
-		printk("TCGETA, %08lx) ", arg);
+		printk(KERN_DEBUG "TCGETA, %08lx) ", arg);
 #endif
 		error = sys_ioctl(fd, TCGETA, arg);
 		break;
@@ -78,7 +78,7 @@
 		struct irix_termios *it = (struct irix_termios *) arg;
 
 #ifdef DEBUG_IOCTLS
-		printk("TCGETS, %08lx) ", arg);
+		printk(KERN_DEBUG "TCGETS, %08lx) ", arg);
 #endif
 		if(!access_ok(VERIFY_WRITE, it, sizeof(*it))) {
 			error = -EFAULT;
@@ -104,7 +104,7 @@
 		struct irix_termios *it = (struct irix_termios *) arg;
 
 #ifdef DEBUG_IOCTLS
-		printk("TCSETS, %08lx) ", arg);
+		printk(KERN_DEBUG "TCSETS, %08lx) ", arg);
 #endif
 		if (!access_ok(VERIFY_READ, it, sizeof(*it))) {
 			error = -EFAULT;
@@ -129,21 +129,21 @@
 
 	case 0x0000540f:
 #ifdef DEBUG_IOCTLS
-		printk("TCSETSW, %08lx) ", arg);
+		printk(KERN_DEBUG "TCSETSW, %08lx) ", arg);
 #endif
 		error = sys_ioctl(fd, TCSETSW, arg);
 		break;
 
 	case 0x00005471:
 #ifdef DEBUG_IOCTLS
-		printk("TIOCNOTTY, %08lx) ", arg);
+		printk(KERN_DEBUG "TIOCNOTTY, %08lx) ", arg);
 #endif
 		error = sys_ioctl(fd, TIOCNOTTY, arg);
 		break;
 
 	case 0x00007416:
 #ifdef DEBUG_IOCTLS
-		printk("TIOCGSID, %08lx) ", arg);
+		printk(KERN_DEBUG "TIOCGSID, %08lx) ", arg);
 #endif
 		tp = get_tty(fd);
 		if(!tp) {
@@ -152,7 +152,7 @@
 		}
 		rtp = get_real_tty(tp);
 #ifdef DEBUG_IOCTLS
-		printk("rtp->session=%d ", rtp->session);
+		printk(KERN_DEBUG "rtp->session=%d ", rtp->session);
 #endif
 		error = put_user(rtp->session, (unsigned long *) arg);
 		break;
@@ -160,7 +160,7 @@
 	case 0x746e:
 		/* TIOCSTART, same effect as hitting ^Q */
 #ifdef DEBUG_IOCTLS
-		printk("TIOCSTART, %08lx) ", arg);
+		printk(KERN_DEBUG "TIOCSTART, %08lx) ", arg);
 #endif
 		tp = get_tty(fd);
 		if(!tp) {
@@ -173,66 +173,66 @@
 
 	case 0x20006968:
 #ifdef DEBUG_IOCTLS
-		printk("SIOCGETLABEL, %08lx) ", arg);
+		printk(KERN_DEBUG "SIOCGETLABEL, %08lx) ", arg);
 #endif
 		error = -ENOPKG;
 		break;
 
 	case 0x40047477:
 #ifdef DEBUG_IOCTLS
-		printk("TIOCGPGRP, %08lx) ", arg);
+		printk(KERN_DEBUG "TIOCGPGRP, %08lx) ", arg);
 #endif
 		error = sys_ioctl(fd, TIOCGPGRP, arg);
 #ifdef DEBUG_IOCTLS
-		printk("arg=%d ", *(int *)arg);
+		printk(KERN_DEBUG "arg=%d ", *(int *)arg);
 #endif
 		break;
 
 	case 0x40087468:
 #ifdef DEBUG_IOCTLS
-		printk("TIOCGWINSZ, %08lx) ", arg);
+		printk(KERN_DEBUG "TIOCGWINSZ, %08lx) ", arg);
 #endif
 		error = sys_ioctl(fd, TIOCGWINSZ, arg);
 		break;
 
 	case 0x8004667e:
 #ifdef DEBUG_IOCTLS
-		printk("FIONBIO, %08lx) arg=%d ", arg, *(int *)arg);
+		printk(KERN_DEBUG "FIONBIO, %08lx) arg=%d ", arg, *(int *)arg);
 #endif
 		error = sys_ioctl(fd, FIONBIO, arg);
 		break;
 
 	case 0x80047476:
 #ifdef DEBUG_IOCTLS
-		printk("TIOCSPGRP, %08lx) arg=%d ", arg, *(int *)arg);
+		printk(KERN_DEBUG "TIOCSPGRP, %08lx) arg=%d ", arg, *(int *)arg);
 #endif
 		error = sys_ioctl(fd, TIOCSPGRP, arg);
 		break;
 
 	case 0x8020690c:
 #ifdef DEBUG_IOCTLS
-		printk("SIOCSIFADDR, %08lx) arg=%d ", arg, *(int *)arg);
+		printk(KERN_DEBUG "SIOCSIFADDR, %08lx) arg=%d ", arg, *(int *)arg);
 #endif
 		error = sys_ioctl(fd, SIOCSIFADDR, arg);
 		break;
 
 	case 0x80206910:
 #ifdef DEBUG_IOCTLS
-		printk("SIOCSIFFLAGS, %08lx) arg=%d ", arg, *(int *)arg);
+		printk(KERN_DEBUG "SIOCSIFFLAGS, %08lx) arg=%d ", arg, *(int *)arg);
 #endif
 		error = sys_ioctl(fd, SIOCSIFFLAGS, arg);
 		break;
 
 	case 0xc0206911:
 #ifdef DEBUG_IOCTLS
-		printk("SIOCGIFFLAGS, %08lx) arg=%d ", arg, *(int *)arg);
+		printk(KERN_DEBUG "SIOCGIFFLAGS, %08lx) arg=%d ", arg, *(int *)arg);
 #endif
 		error = sys_ioctl(fd, SIOCGIFFLAGS, arg);
 		break;
 
 	case 0xc020691b:
 #ifdef DEBUG_IOCTLS
-		printk("SIOCGIFMETRIC, %08lx) arg=%d ", arg, *(int *)arg);
+		printk(KERN_DEBUG "SIOCGIFMETRIC, %08lx) arg=%d ", arg, *(int *)arg);
 #endif
 		error = sys_ioctl(fd, SIOCGIFMETRIC, arg);
 		break;
@@ -242,12 +242,12 @@
 		char *msg = "Unimplemented IOCTL cmd tell linux@engr.sgi.com\n";
 
 #ifdef DEBUG_IOCTLS
-		printk("UNIMP_IOCTL, %08lx)\n", arg);
+		printk(KERN_DEBUG "UNIMP_IOCTL, %08lx)\n", arg);
 #endif
 		old_fs = get_fs(); set_fs(get_ds());
 		sys_write(2, msg, strlen(msg));
 		set_fs(old_fs);
-		printk("[%s:%d] Does unimplemented IRIX ioctl cmd %08lx\n",
+		printk(KERN_NOTICE "[%s:%d] Does unimplemented IRIX ioctl cmd %08lx\n",
 		       current->comm, current->pid, cmd);
 		do_exit(255);
 #else
@@ -257,7 +257,7 @@
 
 	};
 #ifdef DEBUG_IOCTLS
-	printk("error=%d\n", error);
+	printk(KERN_DEBUG "error=%d\n", error);
 #endif
 	return error;
 }
diff -urN linux-2.6.0-test1/arch/mips/kernel/irixsig.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/irixsig.c
--- linux-2.6.0-test1/arch/mips/kernel/irixsig.c	2003-07-13 23:37:26.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/irixsig.c	2003-07-17 17:36:00.000000000 -0400
@@ -48,29 +48,29 @@
 {
 	int i;
 
-	printk("misc: rmask[%08lx] status[%08lx] pc[%08lx]\n",
+	printk(KERN_DEBUG "misc: rmask[%08lx] status[%08lx] pc[%08lx]\n",
 	       (unsigned long) c->rmask,
 	       (unsigned long) c->cp0_status,
 	       (unsigned long) c->pc);
-	printk("regs: ");
+	printk(KERN_DEBUG "regs: ");
 	for(i = 0; i < 16; i++)
-		printk("[%d]<%08lx> ", i, (unsigned long) c->regs[i]);
-	printk("\nregs: ");
+		printk(KERN_DEBUG "[%d]<%08lx> ", i, (unsigned long) c->regs[i]);
+	printk(KERN_DEBUG "\nregs: ");
 	for(i = 16; i < 32; i++)
-		printk("[%d]<%08lx> ", i, (unsigned long) c->regs[i]);
-	printk("\nfpregs: ");
+		printk(KERN_DEBUG "[%d]<%08lx> ", i, (unsigned long) c->regs[i]);
+	printk(KERN_DEBUG "\nfpregs: ");
 	for(i = 0; i < 16; i++)
-		printk("[%d]<%08lx> ", i, (unsigned long) c->fpregs[i]);
-	printk("\nfpregs: ");
+		printk(KERN_DEBUG "[%d]<%08lx> ", i, (unsigned long) c->fpregs[i]);
+	printk(KERN_DEBUG "\nfpregs: ");
 	for(i = 16; i < 32; i++)
-		printk("[%d]<%08lx> ", i, (unsigned long) c->fpregs[i]);
-	printk("misc: usedfp[%d] fpcsr[%08lx] fpeir[%08lx] stk_flgs[%08lx]\n",
+		printk(KERN_DEBUG "[%d]<%08lx> ", i, (unsigned long) c->fpregs[i]);
+	printk(KERN_DEBUG "misc: usedfp[%d] fpcsr[%08lx] fpeir[%08lx] stk_flgs[%08lx]\n",
 	       (int) c->usedfp, (unsigned long) c->fpcsr,
 	       (unsigned long) c->fpeir, (unsigned long) c->sstk_flags);
-	printk("misc: hi[%08lx] lo[%08lx] cause[%08lx] badvaddr[%08lx]\n",
+	printk(KERN_DEBUG "misc: hi[%08lx] lo[%08lx] cause[%08lx] badvaddr[%08lx]\n",
 	       (unsigned long) c->hi, (unsigned long) c->lo,
 	       (unsigned long) c->cp0_cause, (unsigned long) c->cp0_badvaddr);
-	printk("misc: sigset<0>[%08lx] sigset<1>[%08lx] sigset<2>[%08lx] "
+	printk(KERN_DEBUG "misc: sigset<0>[%08lx] sigset<1>[%08lx] sigset<2>[%08lx] "
 	       "sigset<3>[%08lx]\n", (unsigned long) c->sigset.sig[0],
 	       (unsigned long) c->sigset.sig[1],
 	       (unsigned long) c->sigset.sig[2],
@@ -131,7 +131,7 @@
 setup_irix_rt_frame(struct k_sigaction * ka, struct pt_regs *regs,
                int signr, sigset_t *oldmask, siginfo_t *info)
 {
-	printk("Aiee: setup_tr_frame wants to be written");
+	printk(KERN_ERR "Aiee: setup_tr_frame wants to be written");
 	do_exit(SIGSEGV);
 }
 
@@ -217,7 +217,7 @@
 	magic = (struct sigctx_irix5 *) regs->regs[base + 5];
 	sig = (int) regs->regs[base + 6];
 #ifdef DEBUG_SIG
-	printk("[%s:%d] IRIX sigreturn(scp[%p],ucp[%p],sig[%d])\n",
+	printk(KERN_DEBUG "[%s:%d] IRIX sigreturn(scp[%p],ucp[%p],sig[%d])\n",
 	       current->comm, current->pid, context, magic, sig);
 #endif
 	if (!context)
@@ -282,7 +282,7 @@
 #ifdef DEBUG_SIG
 static inline void dump_sigact_irix5(struct sigact_irix5 *p)
 {
-	printk("<f[%d] hndlr[%08lx] msk[%08lx]>", p->flags,
+	printk(KERN_DEBUG "<f[%d] hndlr[%08lx] msk[%08lx]>", p->flags,
 	       (unsigned long) p->handler,
 	       (unsigned long) p->sigset[0]);
 }
@@ -296,10 +296,10 @@
 	int ret;
 
 #ifdef DEBUG_SIG
-	printk(" (%d,%s,%s,%08lx) ", sig, (!new ? "0" : "NEW"),
+	printk(KERN_DEBUG " (%d,%s,%s,%08lx) ", sig, (!new ? "0" : "NEW"),
 	       (!old ? "0" : "OLD"), trampoline);
 	if(new) {
-		dump_sigact_irix5(new); printk(" ");
+		dump_sigact_irix5(new); printk(KERN_DEBUG " ");
 	}
 #endif
 	if (act) {
@@ -456,7 +456,7 @@
 	int i, sig, error, timeo = 0;
 
 #ifdef DEBUG_SIG
-	printk("[%s:%d] irix_sigpoll_sys(%p,%p,%p)\n",
+	printk(KERN_DEBUG "[%s:%d] irix_sigpoll_sys(%p,%p,%p)\n",
 	       current->comm, current->pid, set, info, tp);
 #endif
 
@@ -691,7 +691,7 @@
 	ctx = (struct irix5_context *) regs->regs[base + 4];
 
 #ifdef DEBUG_SIG
-	printk("[%s:%d] irix_getcontext(%p)\n",
+	printk(KERN_DEBUG "[%s:%d] irix_getcontext(%p)\n",
 	       current->comm, current->pid, ctx);
 #endif
 
@@ -721,7 +721,7 @@
 		flags &= ~(0x08);
 	} else {
 		/* XXX wheee... */
-		printk("Wheee, no code for saving IRIX FPU context yet.\n");
+		printk(KERN_WARNING "Wheee, no code for saving IRIX FPU context yet.\n");
 	}
 	__put_user(flags, &ctx->flags);
 	error = 0;
@@ -740,7 +740,7 @@
 	ctx = (struct irix5_context *) regs->regs[base + 4];
 
 #ifdef DEBUG_SIG
-	printk("[%s:%d] irix_setcontext(%p)\n",
+	printk(KERN_DEBUG "[%s:%d] irix_setcontext(%p)\n",
 	       current->comm, current->pid, ctx);
 #endif
 
@@ -750,7 +750,7 @@
 
 	if (ctx->flags & 0x02) {
 		/* XXX sigstack garbage, todo... */
-		printk("Wheee, cannot do sigstack stuff in setcontext\n");
+		printk(KERN_WARNING "Wheee, cannot do sigstack stuff in setcontext\n");
 	}
 
 	if (ctx->flags & 0x04) {
@@ -766,7 +766,7 @@
 
 	if (ctx->flags & 0x08) {
 		/* XXX fpu context, blah... */
-		printk("Wheee, cannot restore FPU context yet...\n");
+		printk(KERN_WARNING "Wheee, cannot restore FPU context yet...\n");
 	}
 	current->thread.irix_oldctx = ctx->link;
 	error = regs->regs[2];
@@ -782,7 +782,7 @@
 	int error;
 
 #ifdef DEBUG_SIG
-	printk("[%s:%d] irix_sigstack(%p,%p)\n",
+	printk(KERN_DEBUG "[%s:%d] irix_sigstack(%p,%p)\n",
 	       current->comm, current->pid, new, old);
 #endif
 	if(new) {
@@ -810,7 +810,7 @@
 	int error;
 
 #ifdef DEBUG_SIG
-	printk("[%s:%d] irix_sigaltstack(%p,%p)\n",
+	printk(KERN_DEBUG "[%s:%d] irix_sigaltstack(%p,%p)\n",
 	       current->comm, current->pid, new, old);
 #endif
 	if (new) {
@@ -844,7 +844,7 @@
 	if(error)
 		goto out;
 #ifdef DEBUG_SIG
-	printk("[%s:%d] irix_sigsendset([%d,%d,%d,%d,%d],%d)\n",
+	printk(KERN_DEBUG "[%s:%d] irix_sigsendset([%d,%d,%d,%d,%d],%d)\n",
 	       current->comm, current->pid,
 	       pset->cmd, pset->ltype, pset->lid, pset->rtype, pset->rid,
 	       sig);
diff -urN linux-2.6.0-test1/arch/mips/kernel/irq.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/irq.c
--- linux-2.6.0-test1/arch/mips/kernel/irq.c	2003-07-13 23:30:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/irq.c	2003-07-17 16:50:39.000000000 -0400
@@ -60,7 +60,7 @@
 	 * each architecture has to answer this themselves, it doesn't deserve
 	 * a generic callback i think.
 	 */
-	printk("unexpected interrupt %d\n", irq);
+	printk(KERN_WARNING "unexpected interrupt %d\n", irq);
 }
 
 /* startup is the same as "enable", shutdown is same as "disable" */
@@ -176,7 +176,7 @@
 		printk(KERN_ERR "[<%p>]", action->handler);
 		print_symbol(" (%s)",
 			(unsigned long)action->handler);
-		printk("\n");
+		printk(KERN_ERR "\n");
 		action = action->next;
 	} while (action);
 }
@@ -196,7 +196,7 @@
 static int __init noirqdebug_setup(char *str)
 {
 	noirqdebug = 1;
-	printk("IRQ lockup detection disabled\n");
+	printk(KERN_INFO "IRQ lockup detection disabled\n");
 	return 1;
 }
 
@@ -321,7 +321,7 @@
 		desc->depth--;
 		break;
 	case 0:
-		printk("enable_irq(%u) unbalanced from %p\n", irq,
+		printk(KERN_WARNING "enable_irq(%u) unbalanced from %p\n", irq,
 		       __builtin_return_address(0));
 	}
 	spin_unlock_irqrestore(&desc->lock, flags);
@@ -468,7 +468,7 @@
 	 */
 	if (irqflags & SA_SHIRQ) {
 		if (!dev_id)
-			printk("Bad boy: %s (at 0x%x) called us without a dev_id!\n", devname, (&irq)[-1]);
+			printk(KERN_ERR "Bad boy: %s (at 0x%x) called us without a dev_id!\n", devname, (&irq)[-1]);
 	}
 #endif
 
@@ -543,7 +543,7 @@
 			kfree(action);
 			return;
 		}
-		printk("Trying to free free IRQ%d\n",irq);
+		printk(KERN_NOTICE "Trying to free free IRQ%d\n",irq);
 		spin_unlock_irqrestore(&desc->lock,flags);
 		return;
 	}
diff -urN linux-2.6.0-test1/arch/mips/kernel/process.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/process.c
--- linux-2.6.0-test1/arch/mips/kernel/process.c	2003-07-13 23:33:13.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/process.c	2003-07-17 16:54:55.000000000 -0400
@@ -217,7 +217,7 @@
 		}
 	}
 	if (info->pc_offset == -1 || info->frame_offset == -1) {
-		printk("Can't analyze prologue code at %p\n", func);
+		printk(KERN_ERR "Can't analyze prologue code at %p\n", func);
 		info->pc_offset = -1;
 		info->frame_offset = -1;
 		return -1;
diff -urN linux-2.6.0-test1/arch/mips/kernel/ptrace.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/ptrace.c
--- linux-2.6.0-test1/arch/mips/kernel/ptrace.c	2003-07-13 23:39:29.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/ptrace.c	2003-07-17 17:54:55.000000000 -0400
@@ -47,7 +47,7 @@
 	int ret;
 
 #if 0
-	printk("ptrace(r=%d,pid=%d,addr=%08lx,data=%08lx)\n",
+	printk(KERN_DEBUG "ptrace(r=%d,pid=%d,addr=%08lx,data=%08lx)\n",
 	       (int) request, (int) pid, (unsigned long) addr,
 	       (unsigned long) data);
 #endif
diff -urN linux-2.6.0-test1/arch/mips/kernel/setup.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/setup.c
--- linux-2.6.0-test1/arch/mips/kernel/setup.c	2003-07-13 23:31:21.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/setup.c	2003-07-17 16:53:39.000000000 -0400
@@ -140,7 +140,7 @@
 	int x = boot_mem_map.nr_map;
 
 	if (x == BOOT_MEM_MAP_MAX) {
-		printk("Ooops! Too many entries in the memory map!\n");
+		printk(KERN_ERR "Ooops! Too many entries in the memory map!\n");
 		return;
 	}
 
@@ -155,22 +155,22 @@
 	int i;
 
 	for (i = 0; i < boot_mem_map.nr_map; i++) {
-		printk(" memory: %08Lx @ %08Lx ",
+		printk(KERN_INFO " memory: %08Lx @ %08Lx ",
 			(u64) boot_mem_map.map[i].size,
 		        (u64) boot_mem_map.map[i].addr);
 
 		switch (boot_mem_map.map[i].type) {
 		case BOOT_MEM_RAM:
-			printk("(usable)\n");
+			printk(KERN_INFO "(usable)\n");
 			break;
 		case BOOT_MEM_ROM_DATA:
-			printk("(ROM data)\n");
+			printk(KERN_INFO "(ROM data)\n");
 			break;
 		case BOOT_MEM_RESERVED:
-			printk("(reserved)\n");
+			printk(KERN_INFO "(reserved)\n");
 			break;
 		default:
-			printk("type %lu\n", boot_mem_map.map[i].type);
+			printk(KERN_INFO "type %lu\n", boot_mem_map.map[i].type);
 			break;
 		}
 	}
@@ -183,7 +183,7 @@
 	int len = 0;
 	int usermem = 0;
 
-	printk("Determined physical RAM map:\n");
+	printk(KERN_NOTICE "Determined physical RAM map:\n");
 	print_memory_map();
 
 	for (;;) {
@@ -222,7 +222,7 @@
 	*to = '\0';
 
 	if (usermem) {
-		printk("User-defined physical RAM map:\n");
+		printk(KERN_NOTICE "User-defined physical RAM map:\n");
 		print_memory_map();
 	}
 }
@@ -384,11 +384,11 @@
 	initrd_below_start_ok = 1;
 	if (initrd_start) {
 		unsigned long initrd_size = ((unsigned char *)initrd_end) - ((unsigned char *)initrd_start);
-		printk("Initial ramdisk at: 0x%p (%lu bytes)\n",
+		printk(KERN_NOTICE "Initial ramdisk at: 0x%p (%lu bytes)\n",
 		       (void *)initrd_start,
 		       initrd_size);
 		if (PHYSADDR(initrd_end) > PFN_PHYS(max_low_pfn)) {
-			printk("initrd extends beyond end of memory "
+			printk(KERN_NOTICE "initrd extends beyond end of memory "
 			       "(0x%08lx > 0x%08lx)\ndisabling initrd\n",
 			       PHYSADDR(initrd_end),
 			       PFN_PHYS(max_low_pfn));
diff -urN linux-2.6.0-test1/arch/mips/kernel/signal.c linux-2.6.0-test1-printk-mips/arch/mips/kernel/signal.c
--- linux-2.6.0-test1/arch/mips/kernel/signal.c	2003-07-13 23:36:45.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/kernel/signal.c	2003-07-17 17:34:34.000000000 -0400
@@ -396,7 +396,7 @@
 	regs->cp0_epc = regs->regs[25] = (unsigned long) ka->sa.sa_handler;
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=0x%p pc=0x%lx ra=0x%p\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=0x%p pc=0x%lx ra=0x%p\n",
 	       current->comm, current->pid,
 	       frame, regs->cp0_epc, frame->sf_code);
 #endif
@@ -464,7 +464,7 @@
 	regs->cp0_epc = regs->regs[25] = (unsigned long) ka->sa.sa_handler;
 
 #if DEBUG_SIG
-	printk("SIG deliver (%s:%d): sp=0x%p pc=0x%lx ra=0x%p\n",
+	printk(KERN_DEBUG "SIG deliver (%s:%d): sp=0x%p pc=0x%lx ra=0x%p\n",
 	       current->comm, current->pid,
 	       frame, regs->cp0_epc, frame->rs_code);
 #endif
